Bug 244613 - net-mgmt/grok_exporter: Update to 1.0.0.RC3
Summary: net-mgmt/grok_exporter: Update to 1.0.0.RC3
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Alan Somers
URL:
Keywords: buildisok, needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2020-03-05 17:41 UTC by Alan Somers
Modified: 2020-09-19 18:57 UTC (History)
2 users (show)

See Also:
gasol.wu: maintainer-feedback+


Attachments
Updates grok_exporter to 1.0.0.RC3, and sets @sample on its config file. (7.75 KB, patch)
2020-03-05 17:41 UTC, Alan Somers
no flags Details | Diff
Update grok_exporter to 1.0.0.RC3 and fix other issues (9.71 KB, patch)
2020-07-03 04:27 UTC, Alan Somers
no flags Details | Diff
Update grok_exporter to 1.0.0.RC4 and fix other issues (8.40 KB, patch)
2020-08-10 22:28 UTC, Alan Somers
asomers: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Somers freebsd_committer 2020-03-05 17:41:27 UTC
Created attachment 212164 [details]
Updates grok_exporter to 1.0.0.RC3, and sets @sample on its config file.
Comment 1 Automation User 2020-03-05 17:54:54 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/123689449
Comment 2 Alan Somers freebsd_committer 2020-03-23 02:32:58 UTC
Er um, you may want to hold off merging this.  It builds ok, but crashes frequently due to some upstream bug.  I'll update the port after I fix the bug.
Comment 3 Gasol Wu 2020-03-23 02:34:49 UTC
Sounds great, thanks.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-03 03:41:46 UTC
Comment on attachment 212164 [details]
Updates grok_exporter to 1.0.0.RC3, and sets @sample on its config file.

^Triage: Obsolete patch so it doesn't accidentally get committed
Comment 5 Alan Somers freebsd_committer 2020-07-03 04:27:10 UTC
Created attachment 216154 [details]
Update grok_exporter to 1.0.0.RC3 and fix other issues

This patch fixes the crashes from the previous version.

Go 1.14 introduces asynchronous preemption, which interrupts running     goroutines by sending a SIGURG signal.  Some syscalls, like kevent(2), will return EINTR when that happens.  grok_exporter was treating EINTR like an error, even though no error code was set.  The result was an eventual nil dereference.  This patch fixes the bug by restarting kevent on EINTR.

https://github.com/fstab/grok_exporter/pull/103

Also, the new patch fixes the RC script to relinquish the terminal when daemonizing.
Comment 6 Alan Somers freebsd_committer 2020-08-10 22:28:43 UTC
Created attachment 217139 [details]
Update grok_exporter to 1.0.0.RC4 and fix other issues

Update net-mgmt/grok_exporter to 1.0.0.RC4, set @sample on its config file, and detach from the terminal when daemonizing.

Note that the fix for the crash with go 1.14 has been included by upstream in RC4.
Comment 7 commit-hook freebsd_committer 2020-09-19 18:57:19 UTC
A commit references this bug:

Author: asomers
Date: Sat Sep 19 18:56:52 UTC 2020
New revision: 549050
URL: https://svnweb.freebsd.org/changeset/ports/549050

Log:
  net-mgmt/grok_exporter: Update to 1.0.0.RC4

  Update net-mgmt/grok_exporter to 1.0.0.RC4, set @sample on its config file,
  and detach from the terminal when daemonizing.

  PR:		244613
  Event:		September 2020 Bugathon
  Approved by:	dbaio (ports)
  Approved by:	Gasol Wu <gasol.wu@gmail.com> (maintainer, earlier version)
  Sponsored by:	Axcient

Changes:
  head/net-mgmt/grok_exporter/Makefile
  head/net-mgmt/grok_exporter/distinfo
  head/net-mgmt/grok_exporter/files/config.yml.in
  head/net-mgmt/grok_exporter/files/grok_exporter.in
  head/net-mgmt/grok_exporter/pkg-plist